public enum ToggleAttribute: String {
     case allowfullscreen, allowpaymentrequest, `async`, autofocus, autoplay
     case checked, controls, `default`, disabled, formnovalidate, hidden
     case ismap, itemscope, loop, multiple, muted, nomudule, novalidate
     case open, playsinline, readonly, required, reversed, selected, truespeed
 }


public enum Attribute: CaseAccessible {
     case accept(String)
     case acceptcharset(String)
     case accesskey(String)
     case action(String)
     case align(String)
     case alt(String)
     case autocomplete(String)
     case bgcolor(String)
     case border(String)
     case charset(String)
     case cite(String)
     case `class`(String)
     case color(String)
     case cols(String)
     case colspan(String)
     case contenteditable(String)
     case coords(String)
     case crossorigin(String)
     case data(String)
     case datetime(String)
     case `defer`(String)
     case dir(String)
     case dirname(String)
     case download(String)
     case draggable(String)
     case enctype(String)
     case `for`(String)
     case form(String)
     case formaction(String)
     case headers(String)
     case height(String)
     case high(String)
     case href(String)
     case hreflang(String)
     case httpequiv(String)
     case id(String)
     case integrity(String)
     case kind(String)
     case label(String)
     case lang(String)
     case list(String)
     case low(String)
     case max(String)
     case maxlength(String)
     case media(String)
     case method(String)
     case min(String)
     case name(String)
     case novaidate(String)
     case onabort(String)
     case onafterprint(String)
     case onbeforeprint(String)
     case onbeforeunload(String)
     case onblur(String)
     case oncanplay(String)
     case oncanplaythrough(String)
     case onchange(String)
     case onclick(String)
     case oncontextmenu(String)
     case oncopy(String)
     case oncuechange(String)
     case oncut(String)
     case ondblclick(String)
     case ondrag(String)
     case ondragend(String)
     case ondragenter(String)
     case ondragleave(String)
     case ondragover(String)
     case ondragstart(String)
     case ondrop(String)
     case ondurationchange(String)
     case onemptied(String)
     case onended(String)
     case onerror(String)
     case onfocus(String)
     case onhashchange(String)
     case oninput(String)
     case oninvalid(String)
     case onkeydown(String)
     case onkeypress(String)
     case onkeyup(String)
     case onload(String)
     case onloadeddata(String)
     case onloadedmetadata(String)
     case onloadstart(String)
     case onmousedown(String)
     case onmousemove(String)
     case onmouseout(String)
     case onmouseover(String)
     case onmouseup(String)
     case onmousewheel(String)
     case onoffline(String)
     case ononline(String)
     case onpagehide(String)
     case onpageshow(String)
     case onpaste(String)
     case onpause(String)
     case onplay(String)
     case onplaying(String)
     case onpopstate(String)
     case onprogress(String)
     case onratechange(String)
     case onreset(String)
     case onresize(String)
     case onscroll(String)
     case onsearch(String)
     case onseeked(String)
     case onseeking(String)
     case onselect(String)
     case onstalled(String)
     case onstorage(String)
     case onsubmit(String)
     case onsuspend(String)
     case ontimeupdate(String)
     case ontoggle(String)
     case onunload(String)
     case onvolumechange(String)
     case onwaiting(String)
     case onwheel(String)
     case optimum(String)
     case pattern(String)
     case placeholder(String)
     case poster(String)
     case preload(String)
     case referrerpolicy(String)
     case rel(String)
     case rows(String)
     case rowspan(String)
     case sandbox(String)
     case scope(String)
     case shape(String)
     case size(String)
     case sizes(String)
     case span(String)
     case spellcheck(String)
     case src(String)
     case srcdoc(String)
     case srclang(String)
     case srcset(String)
     case start(String)
     case step(String)
     case style(String)
     case tabindex(String)
     case target(String)
     case title(String)
     case translate(String)
     case type(String)
     case usemap(String)
     case value(String)
     case width(String)
     case wrap(String)

    var stringValue: String {
         switch self {
         case .acceptcharset:
             return "accept-charset"
         case .httpequiv:
             return "http-equiv"
         default:
             return "\(self.label)"
         }
     }
}
